#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Service Configuration Tool
Name:           lime-sysv
Version:        1.1.14
Release:        3%{?dist}
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Patch1:         lime-sysv-1.1.14-fix-backtotop.patch
Requires :	lime-common
Requires :	qt > 3.3
Requires :	openwbem
BuildRequires: openwbem, openwbem-devel, lime-common, qt > 3.3, qt-devel > 3.3, lmc-devel
%description
lime-sysv is a WBEM client tool for service configuration which depends on CIMOM,
when using this tool, make sure LIME provider has been installed 
and CIMOM of managed host has been started.

lime-sysv lets a system administrator configure init system services
(instead of directly manipulating the numerous symbolic links in
/etc/rc.d).
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q
%patch1 -p1

%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps

cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

# add a symlink to old rfmin tool
ln -sf lime-sysv $RPM_BUILD_ROOT/%{_bindir}/rfsysv

## Aternate_Command_Names ##
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s lime-sysv set-sysmgt-services 
popd

%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/%{name}
%{_bindir}/rfsysv
%{_bindir}/set-sysmgt-services
/usr/share/pixmaps/%{name}.xpm
%{_libdir}/lmc/snapins/*.so*
%exclude %{_libdir}/lmc/snapins/*.a
%exclude %{_libdir}/lmc/snapins/*.la
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%dir %{_datadir}/%{name}
%dir %{_docdir}/%{name}
%{_docdir}/lime-sysv/images/*.jpg
%{_docdir}/lime-sysv/*.html
%{_docdir}/lime-sysv/*.xml
%config /usr/share/applications/%{name}.desktop
%{_datadir}/%{name}/*

%changelog
* Thu Apr 28 2009 Feng ZhanLei <fengzhanlei@redflag-linux.com> 1.1.14-3%{?dist}
- change patch#1 for add backtotop button in the menu (AXBug#4891)

* Thu Apr 09 2009 Feng ZhanLei <fengzhanlei@redflag-linux.com> 1.1.14-2%{?dist}
- add patch#1 for add backtotop button in the menu (AXBug#4891)

* Mon Jul 28 2008 He Tao <taohe@redflag-linux.com>
- fix strange characters in English doc
- correct punctuations and some words in Chinese description of services.

* Tue Jul 1 2008 He Tao <taohe@redflag-linux.com>
- fix manual problem ,bug 4440, 4204
- fix description's translation, bug 4148

* Tue May 20 2008 He Tao <taohe@redflag-linux.com>
- some transltaion for Japanese and Korean.
- fix manual xml problem

* Wed Apr 23 2008 He Tao <taohe@redflag-linux.com>
- add some description of services (4148,4149)
 
* Thu Apr 1 2008 He Tao <taohe@redflag-linux.com>
- upgrade version to 1.1.10 for AX3SP1
							
* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 1.1.9-1.1%{?dist}
- add Aternate Command Names (shell script) - bugzilla 3978

* Thu Nov  1 2007 Wang Diancheng <dcwang@redflag-linux.com> 
- fix a bug: cannot change kill sequences, see also package ChangeLog file.

* Wed Sep 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.8, the first maintenance release,
- see also package ChangeLog file for details.

* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.7, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.6, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- merge lime-sysv-1.1.4-asianux-desktop_categories.patch to CVS,
- not install desktop to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lime-sysv-1.1.4-asianux-desktop_categories.patch

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.5, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add ChangeLog, NEWS, README, TODO to package, update to new version
- 1.1.4-1, see also package ChangeLog file for details.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Mon May 14 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.1.1-1
- change control panel's desktop file to directory Group2Sys

* Fri Apr 13 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add build require, lmc-devel

* Thu Apr 5 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.0.0-2
- add manual files, add a symlink for rfsysv

* Thu Jan 25 2007 Diancheng Wang <dcwang@redflag-linux.com>1.0.0-1
- add lmc-snapin, use lime-common library

* Tue May 11 2006 Diancheng Wang <dcwang@redflag-linux.com> 1.0.0-1
- initial version for 1.0.0
